# Index

Welcome to the Roo Code community section! Here you'll find community projects that extend Roo Code's capabilities and a gallery of custom modes shared by other users to enhance your development workflow.

## Community Projects

| Project | Description |
|---------|-------------|
| [🔥 SPARC](/community/sparc) | Orchestrates set and forget agentic development workflows through a structured framework using Roo Code Boomerang Tasks |
| [Memory Bank](/community/memory-bank) | Solves the challenge of maintaining context across sessions with a structured memory system |
| [Tips & Tricks](/community/tips-and-tricks) | Collection of files designed to supercharge your Roo Code experience and maximize productivity |
| [Dynamic Rules](/community/dynamic-rules) | Define new rules and delete them on the fly with simple syntax in your messages |
| [Roo Commander](/community/roo-commander) | Sophisticated collection of custom modes designed to manage software development projects |
| [Maestro Project](/community/maestro) | Orchestrates a team of specialized modes for comprehensive software development lifecycle management |

## Custom Modes Gallery {#custom-modes-gallery}

Share and discover custom modes created by the community! Learn how to create and configure custom modes in the [Custom Modes documentation](/features/custom-modes).

| Mode | Author | Description |
|------|--------|-------------|
| [Jest Test Engineer](/community/custom-modes/jest-test-engineer) | [@mrubens](https://github.com/mrubens) | Specialized mode for writing and maintaining Jest test suites |
| [ResearchMode](/community/custom-modes/research-mode) | [@JamesCherished](https://github.com/James-Cherished-Inc/) | Integrates Perplexity API for web search and Lynx for page analysis |
| [VibeMode](/community/custom-modes/vibe-mode) | [@richardwhiteii](https://github.com/richardwhiteii) | Transforms natural language descriptions into working code |
| [Documentation Writer](/community/custom-modes/documentation-writer) | [@jsonify](https://github.com/jsonify) | Specialized technical documentation expert |
| [User Story Creator](/community/custom-modes/user-story-creator) | [@jsonify](https://github.com/jsonify) | Agile requirements specialist with structured templates |
| [Junior Developer Code Reviewer](/community/custom-modes/junior-developer-code-reviewer) | [@jsonify](https://github.com/jsonify) | Supportive mentor-reviewer for junior developers' growth |
| [Senior Developer Code Reviewer](/community/custom-modes/senior-developer-code-reviewer) | [@jsonify](https://github.com/jsonify) | Technical architect for high-level code reviews |
| [Orchestrator](/community/custom-modes/orchestrator) | [@mrubens](https://github.com/mrubens) | Delegates subtasks to specialized modes |
| [Advanced Orchestrator](/community/custom-modes/advanced-orchestrator) | [@iiwish](https://github.com/iiwish) | Enhanced workflow orchestration with expanded capabilities |

For more details on any project or mode, click its name to visit its dedicated page. To add your own custom mode to the gallery, create a pull request from the "Edit this page" link below.